For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DASHBOARDPLAYGROUNDDOCSCOMMUNITYLOG IN
Guides and conceptsAPI ReferenceRelease NotesLLMUCookbooks
Guides and conceptsAPI ReferenceRelease NotesLLMUCookbooks
  • Cohere API
    • About
    • Teams and Roles
    • Errors
  • Endpoints
      • POSTCreate an Embed Job
      • GETList Embed Jobs
      • GETFetch an Embed Job
      • POSTCancel an Embed Job
  • Deprecated
  • Audio
  • Batches
    • GETList batches
    • POSTCreate a batch
    • GETRetrieve a batch
    • POSTCancel a batch
LogoLogodocs
DASHBOARDPLAYGROUNDDOCSCOMMUNITYLOG IN
Endpointsv1/embed-jobs

Fetch an Embed Job

GET
https://api.cohere.com/v1/embed-jobs/:id
GET
/v1/embed-jobs/:id
1import cohere
2
3co = cohere.Client()
4
5# get embed job
6response = co.embed_jobs.get("job_id")
7
8print(response)
1{
2 "job_id": "ebd-9f8a7c6d5b4e3a21",
3 "status": "complete",
4 "created_at": "2024-04-10T14:22:35Z",
5 "input_dataset_id": "ds-1234abcd5678efgh",
6 "model": "embed-multilingual-v2.0",
7 "truncate": "END",
8 "name": "Customer Reviews Embedding Job",
9 "output_dataset_id": "ds-8765hgfedcba4321",
10 "meta": {
11 "api_version": {
12 "version": "1.0.0",
13 "is_deprecated": false,
14 "is_experimental": false
15 },
16 "billed_units": {
17 "images": 0,
18 "input_tokens": 1520,
19 "image_tokens": 0,
20 "output_tokens": 1520,
21 "search_units": 0,
22 "classifications": 0
23 },
24 "tokens": {
25 "input_tokens": 1520,
26 "output_tokens": 1520
27 },
28 "cached_tokens": 0,
29 "warnings": []
30 }
31}
This API retrieves the details about an embed job started by the same user.
Was this page helpful?
Previous

Cancel an Embed Job

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
The ID of the embed job to retrieve.

Headers

X-Client-NamestringOptional
The name of the project that is making the request.

Response headers

X-API-Warningstring
The name of the project that is making the request.

Response

OK
job_idstring
ID of the embed job
statusenum
The status of the embed job
Allowed values:
created_atstringformat: "date-time"
The creation date of the embed job
input_dataset_idstring
ID of the input dataset
modelstring
ID of the model used to embed
truncateenum
The truncation option used
Allowed values:
namestring
The name of the embed job
output_dataset_idstring
ID of the resulting output dataset
metaobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
498
Invalid Token Error
499
Client Closed Request Error
500
Internal Server Error
501
Not Implemented Error
503
Service Unavailable Error
504
Gateway Timeout Error